curtin (19.1-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - release 19.1
    - vmtest: add missing skip_by_date on Eoan test_network_mtu
    - vmtest: remove skip_by_date on Disco Allindata test
    - block: support multipath devices in lookup and partition_kname
      (LP: #1813228)
    - grub: add grub config to control os_prober,terminal settings in target
    - vmtest: add eoan tests [Paride Legovini]
    - vmtest: add dependency on python3-jsonschema [Paride Legovini]
    - Pylint compatibility with Python 3.7 [Paride Legovini] (LP: #1828229)
    - vmtest: disable disco multipath test
    - vmtests: bump network mtu tests out a bit
    - Fix up yaml.load warnings
    - vmtest: disable trusty, it's dead jim

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 22 May 2019 10:26:52 -0400

curtin (18.2-26-gd8e45d79-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtest: reenable UEFI 4k tests, which got dropped when fixing
      subclassing.
    - vmtests: Add test_kernel_img_conf stub for PsuedoVMBaseClass
    - curthooks: chzdev_import must encode data if provided (LP: #1825007)
    - vmtest: test for kernel-img conf on ubuntu only

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 23 Apr 2019 09:32:56 -0500

curtin (18.2-22-g08bf6ff7-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Setup kernel-img.conf like base-installer/live-installer did.
      [Dimitri John Ledkov] (LP: #1534162)
    - zfs: pass pool and fs properties to zpool_create
      [Jean-Baptiste Lallement] (LP: #1823682)
    - block_meta: pass lvm_partition size through human2bytes
      [Michael Hudson-Doyle]

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 11 Apr 2019 14:22:33 -0500

curtin (18.2-19-g36351dea-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - clear-holders: refactor bcache shutdown and add longer timeout
      (LP: #1796292)
    - schema-validate-storage: remove unused imports [Paride Legovini]
    - add subcommand schema for storage-config validation
    - clear-holders: wipe raid members at data offsets when not assembled
      (LP: #1815018)
    - Add support for s390 DASD devices
    - vmtest: skip DiscoTestAllindata while initrd lacks crypto modules
    - block_meta: allow passing a dm_crypt key by keyfile
      [Michael Hudson-Doyle]
    - ChrootableTarget: add /run to mounts for redhat targets (LP: #1815666)
    - vmtest: consolidate vm mem config, defaults via release, env override

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 03 Apr 2019 14:46:09 -0500

curtin (18.2-10-g7afd77fa-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Support for multi-layers images fsimage-layered:// URI
      [Jean-Baptiste Lallement]
    - dname: relax dname req for disk serial/wwn presence for compatibility
      (LP: #1735839)
    - flake8: fix some E117 over-indented issues [Paride Legovini]
    - bcache: ensure partitions on bcache devices are detected as partition
    - vmtest: bump skip_by_date out a year for trusty bcache bug
    - Fix typo in doc/topics/integration-testing.rst. [Paride Legovini]
    - flake8: Fix two issues found with new version of flake8
    - clear-holders: handle FileNotFound when probing for bcache device slaves
      (LP: #1811117)
    - vmtests: network mtu fix-by bump to post 19.04 release
    - vmtest: Fix bug preventing explicit disabling of system_upgrade.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 27 Feb 2019 16:43:21 -0600

curtin (18.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.2).
    - Release 18.2
    - Adjust helpers/common to edit GRUB_CMDLINE_LINUX_DEFAULT in place.
      (LP: #1527664)
    - dname: persistent names based on serial or wwn (LP: #1735839)
    - Fix bug in is_swap_device if a device was smaller than page_size.
      (LP: #1803672)
    - vmtest: add disco tests [Joshua Powers]
    - unittest: change directory to tmpdir for testing relative files.
    - Add clear-holders to meta-simple (LP: #1786736)
    - vmtests: check install log for Out of memory kernel messages and fail
    - unittest: correctly use tmpdir for my.img [Joshua Powers] (LP: #1803611)
    - block_meta: use wipe config when clearing partitions (LP: #1800153)
    - tests: fix vmtests for apt perserve_source_list changes
    - apt: Use new format apt config when writing preserve_sources_list.
      (LP: #1735950)
    - vmtests: multipath mount /home with nofail and validate in unittest
    - vmtests: fix common collect scripts to not exit failure.
    - vmtest: handle collect disk unpack failure
    - vmtests: dont use multiple subclasses in uefi 4k tests
    - vmtests: disable snapd/seeding to avoid boot hang
    - jenkins-runner: fix when using --filter only

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 06 Dec 2018 12:11:01 -0600

curtin (18.1-59-g0f993084-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - distro: fix system_upgrade command using string instead of function
      (LP: #1796968)
    - Capture stdout when using lxc file push
    - vmtest: boot ephemeral with 'ro' on the kernel command line.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 10 Oct 2018 11:22:30 -0500

curtin (18.1-56-g3aafe77d-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - vmtest: Fix typo in skip-by-date.
    - vmtest: kick skip-by-date for 1671951.
    - tools/jenkins-runner: Error if both filters and tests are given.
    - vmtests: prevent tests from modifying cls.collect_scripts

 -- Chad Smith <chad.smith@canonical.com>  Tue, 02 Oct 2018 16:07:51 -0600

curtin (18.1-52-g5f0082d1-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Enable custom storage configuration for centos images

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 21 Sep 2018 03:04:42 -0500

curtin (18.1-51-gb812ae80-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - vmtest: ensure we collect /var/log/journal only once

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Aug 2018 11:44:46 -0600

curtin (18.1-50-g2d9b2c6f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - clear-holders: handle missing zpool/zfs tools when wiping
    - clear-holders: rescan for lvm devices after assembling raid arrays
    - vmtest: enable persistent journal and collect at boot time
    - Add timing and logging functions.
    - parse_dpkg_version: support non-numeric in version string.
    - Don't allow reads of /proc and modprobe zfs through

 -- Chad Smith <chad.smith@canonical.com>  Mon, 20 Aug 2018 09:22:06 -0600

curtin (18.1-44-g2b12b8fc-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Add main so that 'python3 -m curtin' does the right thing.
    - Add subcommand 'features'.
    - block: use uuid4 (random) when autogenerating UUIDS for filesystems
    - vmtests: Increase size of root filesystems.
    - clear-holders: reread ptable after wiping disks with partitions
    - vmtest: Skip proposed pocket on dev release when 'proposed' in ADD_REPOS.
    - tests: remove Ubuntu Artful [Joshua Powers]
    - vmtests: Let a raised SkipTest go through skip_by_date.
    - vmtests: Increase root fs to give upgrades to -proposed more space.
    - vmtest: Order the vmtest_pollinate late_command earlier.
    - vmtest: always add 'curtin/vmtest' to installed pollinate user_agent.
    - vmtests: make skip_by_date a decorator that runs and reports.
    - vmtests: always declare certain attributes and remove redundant tests.
    - vmtests: Add Cosmic release to tests [Joshua Powers]
    - vmtests: skip TrustyTestMdadmBcache until 2019-01-22.
    - tox: use simplestreams from git repository rather than bzr.
    - document that you can set ptable on raids [Michael Hudson-Doyle]
    - vmtests: move skip-by date of xfs root and xfs boot out 1 year.
    - vmtests: network_mtu move fixby date out 4 months from last value

 -- Chad Smith <chad.smith@canonical.com>  Fri, 10 Aug 2018 09:22:12 -0600

curtin (18.1-25-g9d0e557e-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Fix WorkingDir class to support already existing target directory.
      (LP: #1775622)
    - Fix extraction of local filesystem image. (LP: #1775630)
    - Fix tip-pyflakes imported but unused call to util.get_platform_arch
    - subp: update return value of subp with combine_capture=True.
    - tox: add a xenial environments, default envlist changes.
    - tests: Fix race on utcnow during timestamped curtin-log dir creation
      (LP: #1772481)
    - curtainer: patch source version from --source.
    - pyflakes: fix unused variable references identified by pyflakes 2.0.0.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Jun 2018 14:59:20 -0400

curtin (18.1-17-gae48e86f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tests: replace usage of mock.assert_called

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 14:58:06 -0400

curtin (18.1-16-g18835845-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tools: jenkins-runner show curtin version in output.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 10:29:17 -0400

curtin (18.1-15-g5313b9e2-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - zfs: implement a supported check to handle i386 (LP: #1768709)
    - Support mount entries not tied to a device, including bind and tmpfs.
      (LP: #1767979)
    - block/clear_holders/mdadm: refactor handling of layered device wiping
      (LP: #1768893, #1769742)
    - clear_holders: only export zpools that have been imported (LP: #1770280)
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries (LP: #1767584)
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute
      (LP: #1760879, #1760880)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 10:19:45 -0400

curtin (18.1-5-g572ae5d6-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - clear-holders: fix lvm name use when shutting down (LP: #1764602)
    - install: prevent unmount: disabled from swallowing installation failures
      (LP: #1764210)
    - vmtest: bionic images no longer use the vlan package
    - pycodestyle: Fix invalid escape sequences in string literals.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 18 Apr 2018 10:15:46 -0500

curtin (18.1-1-g45564eef-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Drop ubuntu branch management script new-upstream-snapshot.
    - Release 18.1
    - zfs/zpool version=28 by default, allow users to override default values.
      (LP: #1754013)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Mar 2018 14:22:58 -0600

curtin (17.1-51-gbd40234f-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - helpers/shell-archive: drop use of tar --sparse flag (LP: #1757565)
    - vmtest: In Basic install, add entry for swap to fstab and verify its use.
    - vmtest: skip some bcache tests pending kernel fixes
    - vmtests: extend skip_by_date for lvmroot_xfsroot and network_mtu
    - vmtest: fix pollinate re.search to use groupdict()
    - Add pollinate user-agent configuration support.

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 23 Mar 2018 10:51:50 -0500

curtin (17.1-45-g1a5fe18a-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - vmtest: Remove xenial and trusty specific workaround for rooturl.
    - vmtest: Add Filesystem Battery test.
    - Remove grub2/xenial specific workarounds for zfsroot.
    - Disable dirty_disks mode for mdadm + iscsi tests
    - tools/curtainer: Try harder to get source at binary version.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2018 12:20:40 -0500

curtin (17.1-40-g46f8000f-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - clear_holders: wipe complex devices before disassembly (LP: #1750519)
    - vmtests: network_mtu: fix bug number and move date out one month
    - fix /usr/bin/curtin exit code in install failure (LP: #1751176)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2018 02:55:23 -0500

curtin (17.1-37-g82622f12-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - docs: Document use of format command with fstype: zfsroot
    - docs: Add HACKING.rst doc to top level dir and readthedocs.
    - vmtest: fix centos root-tgz image sync
    - block_meta: Ensure offset input to sgdisk are integers.
    - Fix error in url_helper and vmtest from previous commit.
    - tools: fix curtainer to specify source version to apt-get source.
    - Add support for installing sources that are a filesystem image.
      (LP: #1746348)
    - clear-holders: detect and remove devices from kernel swap as needed.
      (LP: #1743643)
    - tests: remove xfs filesystem from basic uefi test.
    - tools: fix curtainer --source with trusty.
    - apply_net: do not write to stderr directly.
    - vmtest: Drop use of root-image.gz and maas2roottar.
    - in-target: use ChrootableTarget so that unshare pid is used.
    - tools/curtainer: check that binary and source version are the same.
      (LP: #1747077)
    - Add zfsroot as a filesystem type
    - fix modeline for shell syntax files.
    - error logs: Create error_tarfile path if path does not exist
      [Chad Smith] (LP: #1746363)
    - zfs: only load zfs on xenial+ skip artful/bionic zfs env export
    - error logs: automatically collect and tar curtin logs upon error.
      [Chad Smith]
    - vmtests: Support skipping skip_by_date tests based on environment.
    - Add zpool, zfs storage commands for experimental support of ZFS on root.
    - tests: revert workaround for bug in overlayroot that is now fixed.
    - tests: Bump skip_by_dates for bug 1652822 and 1671952.
    - cli: add curtin collect-logs sub-command [Chad Smith]
    - vmtest: Do not run tests of unsupported Ubuntu releases.
    - Make license headers and file footers consistent and simplify.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Feb 2018 12:19:07 -0500

curtin (17.1-11-ga4c9636b-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - tests: cleanup the apt custom sources test.
    - apt: Be more lenient when replacing mirrors in /etc/apt/sources.list
      (LP: #1744038)
    - vmtest: Drop Zesty release
    - vmtest: initialize logger with class names for easy parsing
    - packaging: Do not mention primary contributors in debian/changelog.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Jan 2018 16:31:27 -0500

curtin (17.1-6-g8b145067-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - packaging: Update new-upstream-snapshot to work with git.
    - Bump pylint to 1.8.1.
    - vmtests: switch to MAAS v3 streams for images and kernels [Ryan Harper]
    - tests: update pack tests to clear out pyc files more completely.
    - debian/control: drop conflicts that had bzr version
    - Switch uses of bzr to git, borrow from cloud-init git workflow.

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 16 Jan 2018 15:42:36 -0600

curtin (17.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.1).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Dec 2017 16:53:09 -0500

curtin (17.0~bzr552-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - packaging: update debian/build-deb to remove ~bzrREV when using equal tag
    - pack: fix packing when curtin is installed inside a snap.
    - tox: move to pylint 1.7.4
    - vmtests: iscsi minor cleanup.
    - vmtests: exercise rootfs over an lvm logical volume
    - Switch network dep filter to test for ifupdown/nplan instead of release
      name
    - Allow control of curtin install unmounting
    - vmtests: Add Bionic release to tests and update classes.
    - storage: add 'options' key mount type to specify mount parameters for
      filesystems (LP: #1709284)
    - Re-add curthooks.write_files method for backwards compat (LP: #1731709)
    - vmtest: Remove ArtfulTestBridging skip_by_date check, bug fixed

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 08 Dec 2017 14:48:42 -0600

curtin (0.1.0~bzr541-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Drop Precise from vmtest
    - clear_holders: bcache log IO/OS exceptions but do not raise
    - vmtest: Support newer qemu and multipath.
    - block: enable control over exclusive_open use when wiping volumes
    - block: handle wiping bcache parts (LP: #1718699)
    - vmtests: Defer ArtfulNetworkMtu SkipbyDate to 2018
    - bcache: accept sysfs write failure in shutdown handler if path missing
      (LP: #1700564)
    - vmtest: Rephrase a message about no disks to be less scary
    - block_meta: use block.wipe_volume(mode=superblock) to clear MBR/GPT tables
      (LP: #1722322)

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 07 Nov 2017 11:13:00 -0600

curtin (0.1.0~bzr532-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - vmtest: fix artful networking (LP: #1714028, LP: #1718216, LP: #1706744)
    - docs: Trivial doc fix for enabling proposed.
    - setup.py: fix to allow installation into a virtualenv (LP: #1703755)
    - doc: update documentation on curtin-hooks and non-ubuntu installation.
    - reporter: Add journald reporter to send events to journald
    - vmtests: add option to tar disk images after test run
    - install: ensure iscsi service is running to handle shutdown properly
    - mdadm: handle write failures to sysfs entries when stopping mdadm
      (LP: #1708052)
    - vmtest: catch exceptions in curtin-log-print
    - iscsi: use curtin storage config to disconnect iscsi targets
      (LP: #1713537)
    - vmtests: bump skip_by_date values out to give cloud-init SRU more time
    - vmtest: get info about collected symlinks and then delete them.
    - Update network cloud-init related skiptest dates, SRU still pending

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 05 Oct 2017 19:15:28 -0500

curtin (0.1.0~bzr519-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - tests: Add CiTestCase common parent for all curtin tests.
    - vmtests: Remove force flag for centos curthooks
    - tools/jenkins-runner: improve tgtd cleanup logic
    - tests: Drop EOL Wily Vivid and Yakkety tests.
    - Disable yum plugins when installing packages, update ca-certs for https
    - Rename centos_network_curthooks -> centos_apply_network_config.
    - tests: in centos_defaults use write_files for grub serial.
    - write_files: write files after extract, change write_files signature.
    - pass network configuration through to target for ubuntu and centos
    - tests: disable yakkety tests.
    - tools/launch: automatically pass on proxy settings to curtin
    - Add top level 'proxy' to config, deprecate top level http_proxy.
    - tools/curtainer: fix to enable deb-src for -proposed.
    - Use unshare to put chroot commands in own pid namespace.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 03 Aug 2017 15:51:19 -0400

curtin (0.1.0~bzr505-0ubuntu1) artful; urgency=medium

  * debian/new-upstream-snapshot: fix issue with whitespace at end of line.
  * New upstream snapshot.
    - vmtest: let the socket level select a port rather than us picking one.
    - Fix deb build by mocking call to udevadm settle
    - Clear and re-order UEFI boot methods during UEFI grub installation.
    - Resolve bcache race-conditions
    - tests: clean up usage of collect files

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Jun 2017 15:45:33 -0400

curtin (0.1.0~bzr500-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - Allow re-use of vmtest output 
    - Fix stacked storage configurations with iSCSI  (LP: #1683910)
    - vmtests: enable tests to apply storage config to validate clear_holders path 
    - mdadm_stop: Add retry and additional steps to halt a resync 
    - vmtests: Add Artful release and update classes 
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop  (LP: #1682584)
    - uc16 curthooks: add 'network' key to config file  (LP: #1685000)
    - Doc and makefile updates for build and test on new systems. 
    - clear-holders: make bcache handler wait for device shutdown  (LP: #1680409)
    - vmtest: Use utf-8 and fix pseudo test collect_output 
    - vmtest: fix path to install log, and utilize the globally copied paths. 
    - Copy curtin install log into target.  (LP: #1684128)
    - vmtest: add in post-test log post-processing 
    - vmtest: update source.list test 
    - add recursive flag to do_umount, add --umount to block-meta 
    - load_command_environment: fix strict flag, and unit tests. 
    - block_meta: Attempt to mount by UUID= if possible  (LP: #1676991)
    - Make systems with root on bcache use root=UUID=.  (LP: #1680591)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 19 May 2017 16:57:07 -0400

curtin (0.1.0~bzr482-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Fix iscsi disks that have a ':' in the target name.  (LP: #1679222)
    - tests: re-enable ZestyTestMdadmBcache. 
    - curthooks: fix pylint reported error when using ubuntu_core_curthooks. 

 -- Scott Moser <smoser@ubuntu.com>  Wed, 05 Apr 2017 15:22:25 -0400

curtin (0.1.0~bzr479-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Add support for installing Ubuntu-Core 16 images.
    - Add 'STORAGE_CONFIG_V1_DD' to the feature list.
    - flake8: fix flake8 issues with previous merge.
    - Support selection of target disk for dd images install via
      storage config.  (LP: #1640301)
    - vmtest: have vmtest-sync-images avoid running when jenkins-runner is.
    - tools/curtin-from-container: do not use lxc file push --create-dirs
    - tests: enable curtainer to pull down curtin source locally
    - tests: make nose output always include class name and method.
    - tools/curtin-from-container: default to verbosity level 0, not 2.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Mar 2017 13:06:43 -0400

curtin (0.1.0~bzr470-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - vmtest: allow time-based skipping of tests, apply to ZestyMdadmBcache
      (LP: #1667078)
    - Add iSCSI disk support. (LP: #1645515)
    - vmtest: handle change in btrfs-progs when finding fs UUID. (LP: #1665701)
    - pycodestyle: fix bare except in vmtests
    - unittests: add subp coverage for retries, and rcs
    - reporting: Add better descriptions and granularity of events
    - tox: do not bother with pep8 from trusty in trusty-check
    - tests: add two scripts used for running vmtest with installed package.
    - Make add-apt-repository command retry
    - Add tests for network bridging configuration
  - debian/rules: remove debug 'find'

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2017 10:30:43 -0500

curtin (0.1.0~bzr460-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Install zipl in target on s390x arch.  (LP: #1662346)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 17:09:34 -0500

curtin (0.1.0~bzr459-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Remove style checking during build and add latest style checks to tox
    - avoid UnicodeDecode error on passing non-utf8 into shlex
    - adjustments to version string handling, improved pack unit tests.
    - helpers/common: Add grub install debugging output
    - curtin: add version module and display in output and logs
    - content decoding in load_file, apply_net raise exception on errors
    - gpg: retry when recv'ing gpg keys fail (LP: #1661337)
    - Add clear_holders checks to disk and partition handlers (LP: #1659509)
    - net: add new lines after rendered static routes. (LP: #1649652)
    - multipath: don't run update-grub; setup_grub will handle this better.
      (LP: #1656369)
    - test related changes:
      - vmtest: Add tests for zesty and Trusty HWE-X kernels. 
      - tests: fix tox tip-pycodestyle complaints 
      - image-sync: add debugging output to help diagnose errors 
      - vmtest: change get_curtin_version to use version subcommand. 
      - subp doc an unit test improvements. 
      - vmtest: Add the ability to add extra config files to test execution. 
      - vmtest: overhaul image sync 
      - vmtest: skip apt-proxy test if not set 
      - vmtest: add 'webserv' helper 
      - vmtest: add CURTIN_VMTEST_CURTIN_EXE variable. 

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 15:29:57 -0500

curtin (0.1.0~bzr435-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - pep8: fix pep8 errors found with 'make pep8' on zesty.
    - Workaround failures caused by gpg2 daemons left running in chroot.
      (LP: #1645680)
    - Install u-boot-tools when running on a system with u-boot.
      (LP: #1640519)
    - block: fix partition kname for raid devices  (LP: #1641661)
    - Fix up tox errors that slipped in and new pycodestyle 2.1.0 complaints.
    - vmtests: adjust vmtest image sync metadata filenames
    - vmtests: Add centos support
    - Disable WilyTestRaid5Bcache vmtest
    - tools/xkvm: fix --netdev=<bridge>
    - bytes2human: fix for values larger than 32 bit int on 32 bit python2.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Dec 2016 21:05:30 -0500

curtin (0.1.0~bzr425-0ubuntu1) yakkety; urgency=medium

  [ Scott Moser ]
  * debian/new-upstream-snapshot: add writing of debian changelog entries. 

  [ Ryan Harper ]
  * New upstream snapshot.
    - unittest,tox.ini: catch and fix issue with trusty-level mock of open 
    - block/mdadm: add option to ignore mdadm_assemble errors  (LP: #1618429)
    - curtin/doc: overhaul curtin documentation for readthedocs.org
      (LP: #1351085)
    - curtin.util: re-add support for RunInChroot  (LP: #1617375)
    - curtin/net: overhaul of eni rendering to handle mixed ipv4/ipv6 configs 
    - curtin.block: refactor clear_holders logic into block.clear_holders and
      cli cmd 
    - curtin.apply_net should exit non-zero upon exception.  (LP: #1615780)
    - apt: fix bug in disable_suites if sources.list line is blank. 
    - vmtests: disable Wily in vmtests 
    - Fix the unittests for test_apt_source. 

 -- Scott Moser <smoser@ubuntu.com>  Thu, 29 Sep 2016 14:55:29 -0400

curtin (0.1.0~bzr415-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Add apt configuration features. (LP: #1574113)
    - mkfs.vfat: add force flag for formating whole disks (LP: #1597923)
    - block.mkfs: fix sectorsize flag (LP: #1597522)
    - block_meta: cleanup use of sys_block_path and handle cciss knames
      (LP: #1562249)
    - block.get_blockdev_sector_size: handle _lsblock multi result return
      (LP: #1598310)
    - util: add target (chroot) support to subp, add target_path helper
    - block_meta: fallback to parted if blkid does not produce output
      (LP: #1524031)
    - commands.block_wipe:  correct default wipe mode to 'superblock'

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Aug 2016 16:51:20 -0400

curtin (0.1.0~bzr399-0ubuntu1) yakkety; urgency=medium

  * debian/new-upstream-snapshot: fix for specifying revision.
  * New upstream snapshot.
    - curtin/net: fix inet value for subnets, don't add interface attributes
      to alias (LP: #1588547)
    - improve net-meta network configuration (LP: #1592149)
    - reporting: set webhook handler level to DEBUG, no filtering
      (LP: #1590846)
    - tests/vmtests: add yakkety, remove vivid
    - curtin/net: use post-up for interface alias, resolve 120 second time out
      on Trusty when using interface aliases
    - vmtest: provide info on images used
    - fix multipath configuration and add multipath tests (LP: #1551937)
    - tools/launch and tools/xkvm: whitespace cleanup and bash -x
    - tools/launch: boot by root=LABEL=cloudimg-rootfs
    - Initial vmtest power8 support and TestSimple test.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 12 Jul 2016 12:31:34 -0400

curtin (0.1.0~bzr389-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot. 
    * Detect and remove legacy /etc/network/interfaces.d/eth0.cfg from
      target (LP: #1582410)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Jun 2016 09:34:17 -0400

curtin (0.1.0~bzr387-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    * fix timestamp in reporting events.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 May 2016 10:19:20 -0400

curtin (0.1.0~bzr385-0ubuntu2) yakkety; urgency=medium

  * debian/control: add bcache-tools dependency to curtin.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 May 2016 16:35:37 -0400

curtin (0.1.0~bzr385-0ubuntu1) yakkety; urgency=medium

  * debian/control: drop python from curtin-common Depends.
     remove unnecessary Depends on util-linux as it is essential.
     python3-curtin, python-curtin: drop unnecessary 'curl' from Depends. 
     python3-curtin, python-curtin: list oauthlib and yaml explicitly.

  * New upstream snapshot.
    * mdadm: resolve mdadm/bcache and trusty+hwe issues
      (LP: #1569549, LP: #1514094)
    * fix support for 4k disks (LP: #1436632, LP: #1564977)
    * emit source /etc/network/interfaces.d/*.cfg in 
      rendered /etc/network/interfaces
    * net: introduce 'control' field to network configuration to allow
      for declaring manual controlled interfaces
    * disable cloud-init networking as curtin is the source of network config
    * block: wipe_volume improvements
    * reporter: enhance reporting events to include levels and
      improve usefullness of messages
    * network: add bonding tests and cleanup newline rendering
    * block: fix partition path issue with nvme devices
    * fix logic error in kernel installation
    * block: add debug regarding raid modules being missing on mdadm create
    * add s390x support to curtin and vmtest
  

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 May 2016 12:43:40 -0400

curtin (0.1.0~bzr365-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * mkfs: handle fstype: vfat (LP: #1557334)
    * save the curtin install config to /root/curtin-install-cfg.yaml
    * deps: when 'curtin --install-deps' is run, it will now invoke
      apt-get install with '--no-install-recommends'
  * debian/control: adjust build dependency as python3-pyflakes in xenial
    now provides python3 modules for pyflakes.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Mar 2016 10:18:21 -0400

curtin (0.1.0~bzr359-0ubuntu1) xenial; urgency=medium

  * debian/new-upstream-snapshot, debian/README.source: add
    new-upstream-snapshot and mention it in README.source
  * New upstream snapshot.
    * curtin/net: Add bond parsing & improved source, source-directory
      parsing for ENI
    * curtin/net: move global dns-* options under auto lo in ENI (LP: #1543263)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Feb 2016 16:28:31 -0500

curtin (0.1.0~bzr351-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * partitioning: limited support for odd ordering of partition 
      numbers (LP: #1543263).  Specifically targetted at MAAS and
      powerVM support.
    * many upstream test improvements (LP: #1533770)
    * general upstream code improvements
    * use mkfs.vfat rather than mkfs.fat to support precise.
    * use removable devices for installation if no non-removable devices are
      found [Robert Clark] (LP: #1532062)
    * mkfs: fix for lack of uuid in btrfs tools on precise or trusty
    * added 'curtin mkfs' command for easily making filesystems.
    * mdadm: fix issues exposed by use via block_meta (LP: #1531520)
    * improvements and small bug fix for oauth on systems with bad clock
    * support bcache installation on precise
    * fix bug in install_grub to partition when storage_config 
      provided. (LP: #1523779)
    * url_helper: raise import error on lack of oauth only when oauth used
    * block_meta: handle 'preserve' flag for raid devices (LP: #1522147)
    * close file descriptors from --config= arguments
    * xenial: disable update-motd during an apt-get update (LP: #1527710)
    * curthooks: know kernel mapping for xenial (4.4.0)
    * fix python executable selection when 'curtin --help' is called
    * subp: add decode parameter, defaulting to replace (LP: #1526127)
    * support passing an integer or valid float to human2bytes
    * Use /proc/mounts to find missing mountpoints

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Feb 2016 17:07:33 -0500

curtin (0.1.0~bzr314-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * support installing .tar.xz, .tar.gz, .tar.bz2 or .tar via smtar helper
    * improve dependency checking (LP: #1514888)
    * Allow re-use of bcache cache devices with separate backing devices 
      (LP: #1514094)
    * call mkfs.ext3 or mkfs.ext4 with -F (force)
    * Partition alignment and sizing fixes (LP: #1513085)
    * Set bcache cache_mode if present in storage config (LP: #1510334)
    * apt-get update: do not download translation files and source files
      during installation.
    * new sub-commands 'system-upgrade' and 'system-install' for package
      upgrade and installation.
  * debian/control: do not list unversioned e2fsprogs as it is essential.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 23 Nov 2015 11:28:52 -0500

curtin (0.1.0~bzr276-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * debian/control: add python3-curtin depends to curtin (LP: #1503507)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Oct 2015 09:50:34 -0400

curtin (0.1.0~bzr275-0ubuntu1) wily; urgency=medium

  * debian/README.source: tweak to doc on how to generate snapshot
  * New upstream snapshot.
    * add advanced storage layout
    * add advanced networking configuration
    * add 'vmtest' framework for automated test.
    * add 'tox' for unit testing
    * add reporting framework for reporting status events to MAAS or other
      webhook listener.
    * enable configuring of verbosity and stacktrace info in config as opposed
      to command line only
    * faster swap creation using fallocate (LP: #1482994)
    * support specifying kernel without 'mapping' in config
    * add 'system-upgrade' command and config for enabling upgrading the target

 -- Scott Moser <smoser@ubuntu.com>  Fri, 02 Oct 2015 16:19:07 -0400

curtin (0.1.0~bzr227-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * support '---' or '--' as token to indicate the subsequent kernel command
      line parameters should be copied from install envionrment to installed
      environment.  (LP: #1402042)
    * partition: when partitioning mbr and boot partition verify that
      both partitions exist.
    * partition: when creating mbr table, leave space for secondary gpt header
    * fix uefi install path on nvme devices (LP: #1471928)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 09 Jul 2015 16:17:20 -0400

curtin (0.1.0~bzr221-0ubuntu1) wily; urgency=medium

  * debian/README.source: minor fixes in doc on merging upstream
  * New upstream snapshot.
    * force re-reading of partition information before looking
      for multipath UUID matches.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 24 Jun 2015 14:08:55 -0400

curtin (0.1.0~bzr220-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * more multipath work. hopefully reliable multipath boot on ppc64 now.
    * some cleanups to partitioning code.
    * know expected kernel mapping for wily (4.2)
    * support UEFI-based ARM64 systems (LP: #1447834)
    * catch one more usage of lsblk (LP: #1386275)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Jun 2015 14:19:55 -0400

curtin (0.1.0~bzr215-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * multipath: Generate /etc/multipath/bindings file during installation.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 16 Jun 2015 15:39:29 -0400

curtin (0.1.0~bzr214-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Use filesystem uuid rather than scsi_id to avoid false positives
      when detecting multipath (LP: #1463043).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 09 Jun 2015 16:35:21 -0400

curtin (0.1.0~bzr213-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * retry apt-get update to avoid transient failures (LP: #1403133)
    * detect and handle multipath devices (LP: #1371634)
    * udevadm settle before unmounting target's /dev (LP: #1462139)
    * doc/ improved developer doc and tools using maas images for test
    * use --no-nvram option to grub-install if available (LP: #1311827)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Jun 2015 15:06:31 -0400

curtin (0.1.0~bzr205-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * improve finding devices and partitions to account for
      non-standard names (LP: #1401190, LP: #1263181)
    * do not consider removable devices or devices < 1G as installable
    * add internal function wipe_partition and use that rather than
      wipefs for wiping filesystem header data on a partition.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 May 2015 16:52:07 -0400

curtin (0.1.0~bzr201-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * curtin.deps.install: actually install, rather than --dry-run.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Mar 2015 16:30:11 -0400

curtin (0.1.0~bzr200-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * support installation of vivid on vivid via python3 (LP: #1427950)
    * know kernel mapping for vivid (3.19)
  * debian/control: update standards versions, wrap-and-sort

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Mar 2015 13:19:43 -0400

curtin (0.1.0~bzr196-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * fix bug installing to UEFI systems (LP: #1383727)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Dec 2014 20:01:44 -0500

curtin (0.1.0~bzr195-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot.
    * move install log from /var/log/curtin_install.log to
      /var/log/curtin/install.log (LP: #1378910)
    * to not use '--acl' when extracting tar files (LP: #1382632)
      as it inadvertently writes default directory acls.
    * invoke lsblk with '--output' rather than '--out' to avoid
      ambiguity in newer versions of lsblk (LP: #1386275)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 27 Oct 2014 12:25:27 -0400

curtin (0.1.0~bzr190-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * add log reporter (LP: #1369129, LP: #1371218)
    * allow debug messages of helper programs to be seen
    * fix 'make check'
    * handle utf-8 output correctly. (LP: #1370249)
    * set root device correctly on ppc64 (LP: #1371133)
    * call update-grub to ensure grub.cfg is written (LP: #1373137)
    * fix dd-tgz mode, only call partprobe on target device.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Sep 2014 17:26:34 -0400

curtin (0.1.0~bzr162-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * block-meta: fix '--boot' when used with mbr.
    * human2bytes: support floating point numbers (.5G or 2G).
    * sanitize_source: fix detection of url prefixes that specify type
    * fix reference to variable before use (LP: #1361350)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Sep 2014 17:10:14 -0400

curtin (0.1.0~bzr155-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    - fix '--maxsize' argument to 'curtin swap' (LP: #1360318) [Jason Hobbs]
  * d/README.source: add file describing how snapshot releases are made.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Aug 2014 11:54:49 -0400

curtin (0.1.0~bzr153-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * support for creating swap file.
    * fix bug when specifying kernel mapping in config.
    * install_kernel: run apt-get udpate before searching cache (LP: #1358424)
    * correctly check for availability of eatmydata (LP: #1358350)
    * support installation on ppc64 systems (ubuntu ppc64el)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 21 Aug 2014 03:35:53 -0400

curtin (0.1.0~bzr143-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * better choose a default boot fstype.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 04 Aug 2014 04:57:29 -0400

curtin (0.1.0~bzr142-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * add utility for parsing /etc/network/interfaces
    * aarm64 support [Newell Jensen]
      * run update-initramfs in aarm64
      * create boot partition when necessary (LP: #1338851 LP: #1340942)
    * know kernel mapping for utopic (3.16)
    * properly write fstype into /etc/fstab per provided fstype
    * add support for disk images as type 'dd-tgz'
    * correctly call finalize in target (LP: #1328521)
    * support invoking tar with --xattrs if available (LP: #1307636)
    * increase size of uefi partition to 512M (LP: #1306164)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Jul 2014 18:53:38 -0400

curtin (0.1.0~bzr126-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * create 500M EFI System Partition (ESP) instead of 100M. (LP: #1306164)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Apr 2014 15:11:18 -0400

curtin (0.1.0~bzr125-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * fix regression in installation on pc-bios systems (LP: #1303617)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Apr 2014 10:18:34 -0400

curtin (0.1.0~bzr124-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * install correctly on UEFI booted systems (LP: #1300910)
      [Blake Rouse]
    * whitespace fixes and other small fixes.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 03 Apr 2014 14:47:01 -0400

curtin (0.1.0~bzr121-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * support installing kernel package of booted kernel
      to enable hardware enablement kernels through maas.
    * support Calxeda highbank and other ARMv7 systems
    * fix gpt partitioning.  It wouldn't allow grub installation
    * support for using kexec to boot into the installed system
      to avoid a hardware bios post.
    * support declaring target device via config
    * support installing from a local url (file:///)
    * fix bug where 'console=' parms were not removed from image's
      settings (problematic when image was cloud image)
    * run apt-get update if installing packages

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Mar 2014 17:34:57 -0400

curtin (0.1.0~bzr95-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:42 +0000

curtin (0.1.0~bzr95-0ubuntu1) trusty; urgency=low

  * New upstream snapshot.
    * fix bug in block-meta resulting in first disk not always being used
       (LP: #1244026)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Oct 2013 01:41:47 -0400

curtin (0.1.0~bzr94-0ubuntu1) saucy-proposed; urgency=low

  * New upstream snapshot.
    * fix bug where /usr/sbin/policy-rc.d was not being removed after
      being utilized during installation to disable daemons. (LP: #1238915)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 15 Oct 2013 14:45:16 -0400

curtin (0.1.0~bzr93-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * curtin/commands/in_target.py, curtin/commands/main.py:
      fix 'curtin -v' and 'curtin in-target' (LP: #1237139)
    * non-production / development changes:
      * doc/devel/README.txt: development doc update
      * tools/build-deb, tools/export-tarball:
        trunk development changes for creating tarball and building debs.
      * tools/launch: support '--add' for adding files such as config files

 -- Scott Moser <smoser@ubuntu.com>  Tue, 08 Oct 2013 20:20:11 -0400

curtin (0.1.0~bzr87-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bug that prevented some systems from booting because
      'dpkg-reconfigure grub-pc' was not being run.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 25 Sep 2013 16:35:30 -0400

curtin (0.1.0~bzr86-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * correctly install grub to device rather than partition
    * correctly write /etc/network/interfaces
    * get cloud-init configure to work with preseed data.
    * use tar with --numeric owner when extracting

 -- Scott Moser <smoser@ubuntu.com>  Tue, 24 Sep 2013 22:32:08 -0400

curtin (0.1.0~bzr85-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix 'pack_install' usage for maas (LP: #1227944)
    * debian/rules: fix 'curtin' package to install as python2

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Sep 2013 16:59:25 -0400

curtin (0.1.0~bzr82-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * 'net-meta auto' is now default for interfaces.
    * power_state config can now cause reboot after install.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 19 Sep 2013 17:07:17 -0400

curtin (0.1.0~bzr75-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * change 'curtin' installer to be python2 for better compatibility
    * split up packaging. Provide curtin, curtin-common, python-curtin and
      python3-curtin.
    * add 'curtin in-target' command for chrooting to target
    * support http_proxy, apt_proxy, and specifying ubuntu mirrors. 

 -- Scott Moser <smoser@ubuntu.com>  Thu, 19 Sep 2013 04:07:25 -0400

curtin (0.1.0~bzr54-0ubuntu1) saucy; urgency=low

  * Initial release

 -- Scott Moser <smoser@ubuntu.com>  Mon, 29 Jul 2013 16:12:09 -0400
